%bcond_without mead

%define reltag .redhat_3
%define namedreltag -redhat-3
%global namedversion %{version}%{?namedreltag}

%define maven_version 1-9.redhat_3.ep6.el6

Name:           atinject-eap6
Version:        1
Release:        3%{?reltag}%{?dist}
Epoch:          0
Summary:        Dependency injection specification for Java (JSR-330)
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source102: javax.inject-tck-1-redhat-3.pom
Source103: javax.inject-tck-1-redhat-3.jar
Source104: javax.inject-tck-1-redhat-3-sources.jar
Source105: javax.inject-tck-1-redhat-3-javadoc.jar
Source106: javax.inject-1-redhat-3.pom
Source107: javax.inject-1-redhat-3.jar
Source108: javax.inject-1-redhat-3-sources.zip
Source109: javax.inject-1-redhat-3-sources.jar
Source110: javax.inject-1-redhat-3-patches.zip
Source111: javax.inject-1-redhat-3-javadoc.jar
%endif

URL:            http://code.google.com/p/atinject/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package specifies a means for obtaining objects in such a way as
to maximize reusability, testability and maintainability compared to
traditional approaches such as constructors, factories, and service
locators (e.g., JNDI). This process, known as dependency injection, is
beneficial to most nontrivial applications.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar files
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/javax.inject-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/javax.inject-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/javax.inject-%{namedversion}.jar
%{_javadir}/%{name}/javax.inject.jar

%changelog
* Fri Feb 01 2013 Fernando Nasser <fnasser@redhat.com> 0:1-3.redhat-3
- Wrap build that deploys sources

* Tue Jan 29 2013 Fernando Nasser <fnasser@redhat.com> 0:1-2.redhat-2
- Fix release tag
- Make it a wrapper

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1-1
- release
